/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------- 6.0/00 - 19-03-2024
/* colors   -> #EE741D | rgba(238,116,29) | hsla(25,86%,53%) */
/* ------------------------------------------------------------------------------ */
/* day8night */
/* link	-> https://codepen.io/MrGrigri/pen/XQmWBv */
/* date	-> 10-10-2019 */
/* ------------------------------------------------------------------------------ */
/* ROOT and VARIABLES */

.toggle__input:focus-visible ~ .toggle__fake, *:focus {
  outline-color: var(--focus-color);
  outline-style: solid;
  outline-width: 2px;
  outline-offset: 2px;
}

html, html.light {
  --background-color: #eeeeee;
  --background-card-color: #ffffff;
  --background-success-color: #85da85;
  --background-toggle-inactive-color: rgba(0, 0, 0, 0);
  --background-toggle-active-color: rgba(0, 0, 0, 0.08);
  --foreground-color: rgba(0, 0, 0, 0.87);
  --foreground-success-color: #000000;
  --foreground-secondary-color: rgba(0, 0, 0, 0.56);
  --focus-color: rgba(0, 0, 0, 0.5);
}

html.dark {
  --background-color: #212121;
  --background-card-color: #363636;
  --background-success-color: #008000;
  --background-toggle-inactive-color: rgba(255, 255, 255, 0);
  --background-toggle-active-color: rgba(255, 255, 255, 0.1);
  --foreground-color: rgba(255, 255, 255, 0.87);
  --foreground-success-color: #ffffff;
  --foreground-secondary-color: rgba(255, 255, 255, 0.56);
  --focus-color: rgba(255, 255, 255, 0.5);
}

@media (prefers-color-scheme: light), (prefers-color-scheme: no-preference) {
  html {
    --background-color: #eeeeee;
    --background-card-color: #ffffff;
    --background-success-color: #85da85;
    --background-toggle-inactive-color: rgba(0, 0, 0, 0);
    --background-toggle-active-color: rgba(0, 0, 0, 0.08);
    --foreground-color: rgba(0, 0, 0, 0.87);
    --foreground-success-color: #000000;
    --foreground-secondary-color: rgba(0, 0, 0, 0.56);
    --focus-color: rgba(0, 0, 0, 0.5);
  }

  html.dark {
    --background-color: #212121;
    --background-card-color: #363636;
    --background-success-color: #008000;
    --background-toggle-inactive-color: rgba(255, 255, 255, 0);
    --background-toggle-active-color: rgba(255, 255, 255, 0.1);
    --foreground-color: rgba(255, 255, 255, 0.87);
    --foreground-success-color: #ffffff;
    --foreground-secondary-color: rgba(255, 255, 255, 0.56);
    --focus-color: rgba(255, 255, 255, 0.5);
  }
}
@media (prefers-color-scheme: dark) {
  html {
    --background-color: #212121;
    --background-card-color: #363636;
    --background-success-color: #008000;
    --background-toggle-inactive-color: rgba(255, 255, 255, 0);
    --background-toggle-active-color: rgba(255, 255, 255, 0.1);
    --foreground-color: rgba(255, 255, 255, 0.87);
    --foreground-success-color: #ffffff;
    --foreground-secondary-color: rgba(255, 255, 255, 0.56);
    --focus-color: rgba(255, 255, 255, 0.5);
  }

  html.light {
    --background-color: #eeeeee;
    --background-card-color: #ffffff;
    --background-success-color: #85da85;
    --background-toggle-inactive-color: rgba(0, 0, 0, 0);
    --background-toggle-active-color: rgba(0, 0, 0, 0.08);
    --foreground-color: rgba(0, 0, 0, 0.87);
    --foreground-success-color: #000000;
    --foreground-secondary-color: rgba(0, 0, 0, 0.56);
    --focus-color: rgba(0, 0, 0, 0.5);
  }
}
* {
  box-sizing: border-box;
}
html, body {
  width: 100%;
  height: 100%;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "Roboto", sans-serif;
  background-color: var(--background-color);
}

h1 {
  font-size: 20px;
  color: var(--foreground-color);
}

p {
  color: var(--foreground-secondary-color);
  line-height: 1.5;
  margin-bottom: 16px;
}

a {
  color: var(--foreground-color);
  text-transform: uppercase;
}

code {
  display: inline-block;
  padding: 2px 6px;
  background-color: var(--background-toggle-active-color);
  border-radius: 2px;
}

input[type=checkbox] {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  opacity: 0;
  cursor: inherit;
}

.card {
  width: 100%;
  max-width: 600px;
  margin: 8px 16px;
  padding: 16px 24px 8px;
  background-color: var(--background-card-color);
  border-radius: 8px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
}
.card__header {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}
.card__body {
  padding-top: 16px;
}
.card__body--right {
  display: flex;
  justify-content: flex-end;
  padding-top: 0;
}

.header__text {
  padding: 8px 0;
  margin-right: 16px;
}

.footer__p {
  padding: 8px 24px;
  margin: 0 0 16px -24px;
  border-radius: 0 22px 22px 0;
  background-color: var(--background-success-color);
  color: var(--foreground-success-color);
}

.toggle {
  flex: 1;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  cursor: pointer;
}
.toggle__input:checked ~ .toggle__fake::after {
  left: 30px;
  background-color: var(--foreground-color);
}
.toggle__input:focus ~ .toggle__fake, .toggle__input:not([disabled]):hover ~ .toggle__fake {
  background-color: var(--background-toggle-active-color);
}
.toggle__fake {
  will-change: background-color;
  position: relative;
  display: inline-block;
  width: 52px;
  height: 24px;
  background-color: var(--background-toggle-inactive-color);
  border: 1px solid var(--foreground-color);
  border-radius: 12px;
  transition: background-color 100ms cubic-bezier(0.4, 0, 0.2, 1);
}
.toggle__fake::after {
  will-change: left;
  content: "";
  position: absolute;
  top: 50%;
  left: 4px;
  display: block;
  width: 15px;
  height: 15px;
  background-color: var(--background-card-color);
  border: 1px solid var(--foreground-color);
  border-radius: 8px;
  transform: translateY(-50%);
  transition: left 100ms cubic-bezier(0.4, 0, 0.2, 1);
}
.toggle__text {
  margin-left: 16px;
  color: var(--foreground-color);
}

button {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  display: inline-flex;
  align-items: center;
  min-height: 32px;
  margin: 8px 0 16px;
  padding: 8px;
  color: var(--foreground-color);
  text-transform: uppercase;
  letter-spacing: 0.1em;
  background-color: var(--background-color);
  border: 1px solid var(--foreground-color);
  border-radius: 4px;
  cursor: pointer;
}


/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 21-08-22 */
/* css-counter postion background */
/* https://stackoverflow.com/questions/43514987/css-increasing-number-as-background-images-for-css */
.count-reset {
	counter-reset:Element; /* reset must be here */
	}

.count-item::before { 
	position:absolute;
  	display:flex;
	/*top:var(--count-pos-top);*/
  	right:var(--count-pos-right);
  	bottom:var(--count-pos-bottom);
  /*left:var(--count-pos-left);*/
	justify-content:center;
  	align-items:center;
  	counter-increment:Element 1;
	content:counter(Element) '';
	font-size:var(--count-size); 
	font-family:var(--count-font);
	font: 800 Arial;
	  -webkit-text-fill-color:transparent; /* works FF, Chrome and Edge */
	  -webkit-text-stroke:var(--count-width);
	  -webkit-font-smoothing:antialiased;
	color:red; /*var(--count-color); /* must be the same color als card-back background */
    opacity:1;
	z-index:999;
	}
/* shadow */
/*
.shadow, .flex-item {
  box-shadow: 0 -1px 1px rgba(0, 0, 0, 0.04), 0 2px 2px rgba(0, 0, 0, 0.04), 0 4px 4px rgba(0, 0, 0, 0.04), 0 8px 8px rgba(0, 0, 0, 0.04), 0 16px 16px rgba(0, 0, 0, 0.04);
}
*/	
/* ------------------------------------------------------------------------------ */
/* END */	
/* ------------------------------------------------------------------------------ */